using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FormatWindowsApplication
{
    public partial class MedlemsFormater : Form
    {
        public MedlemsFormater()
        {
            InitializeComponent();

            this.lbxMedlem.Items.Add(new Medlem("Bjrk", "Busch"));
            this.lbxMedlem.Items.Add(new Medlem("Bjrk Boye","Busch"));
        }
        private void btnNoFormat_Click(object sender, EventArgs e)
        {
            this.lbxMedlem.FormatString = null;    // aktiver ToString()
        }

        private void btnFormatF_Click(object sender, EventArgs e)
        {
            this.lbxMedlem.FormatString = "F";    // aktiver ToString("F")
        }

        private void btnFormatE_Click(object sender, EventArgs e)
        {
            this.lbxMedlem.FormatString = "E";    // aktiver ToString("E")
        }

        private void btnFormatEF_Click(object sender, EventArgs e)
        {
            this.lbxMedlem.FormatString = "EF";    // aktiver ToString("EE")
        }

        private void btnFormatFE_Click(object sender, EventArgs e)
        {
            this.lbxMedlem.FormatString = "FE";    // aktiver ToString("FE")
        }

        private void btnConsoleFormat_Click(object sender, EventArgs e)
        {
            Medlem etMedlem = new Medlem("Bjrk", "Busch");

            Console.WriteLine("Navn {0}", etMedlem);     // aktiver ToString(null)
            Console.WriteLine("Navn {0:EF}", etMedlem);  // aktiver ToString("FE")

            Console.WriteLine("Navn " + etMedlem);  // aktiver ToString() explicit
            Console.WriteLine("Navn " + etMedlem.ToString());
            Console.WriteLine("Navn " + etMedlem.ToString("EF", null));
        }


    }
}